<!DOCTYPE html>
<html lang="en">
<head>
  <title>Test</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="css/bootstrap.min.css">
  <script src="js/jquery-1.10.2.js"></script>
</head>
<body>
<div class="container">
  
    <h3>Success handler</h3>
    <div class="feedback-box-success"></div>
    <h4>Log (success)</h4>
    <ol id="log_success"></ol>
    <hr>
    <h3>Complete handler</h3>
    <div class="feedback-box-complete"></div>
    <h4>Log (complete)</h4>
    <ol id="log_complete"></ol>

</div>
<script>

    function get_api_success(){
        $('#log_success').append('<li>get_api() run</li>');
        var feedback = $.ajax({
            type: "GET",
            url: "json.json",
            async: false
        }).success(function(){
            setTimeout(function(){get_api_success();}, 10000);
        }).responseText;
    
        $('div.feedback-box-success').html('success feedback');
    }
    
    function get_api_complete(){
        $('#log_complete').append('<li>get_api() ran</li>');
        var feedback = $.ajax({
            type: "GET",
            url: "json.json",
            async: false
        }).complete(function(){
            setTimeout(function(){get_api_complete();}, 10000);
        }).responseText;
    
        $('div.feedback-box-complete').html('complete feedback');
    }
    
    $(function(){
        get_api_success();
        get_api_complete();
       // console.log("count");
    });
    
    </script>
</body>
</html>